Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portlet
Class JBossRenderRequest

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.api.PortletRequestImpl
          org.jboss.portal.portlet.impl.jsr168.api.RenderRequestImpl
              org.jboss.portlet.JBossRenderRequest

All Implemented Interfaces:
  PortletRequest, RenderRequest

    public class JBossRenderRequest

extends RenderRequestImpl

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.jboss.portal.portlet.impl.jsr168.api.RenderRequestImpl
`renderContext`

Fields inherited from class org.jboss.portal.portlet.impl.jsr168.api.PortletRequestImpl
`attributes, container, dreq, invocation, log, parameters, portalContext, preferences, psession, requestContext, securityContext, sessionStatus, userContext, windowContext`

Fields inherited from interface javax.portlet.PortletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH, USER_INFO`

Constructor Summary
`JBossRenderRequest(RenderInvocation invocation)`

Method Summary
`protected PortletPreferences` | `createPreferences()`
`ControllerContext` | `getControllerContext()`
`java.util.Map` | `getInformations()` Returns a modifiable map of user informations or null if the user is not authenticated.
`Parameters` | `getParameters()`
`PortalNode` | `getPortalNode()`
`User` | `getUser()` Returns the current authenticated user or null if the user is not authenticated

Methods inherited from class org.jboss.portal.portlet.impl.jsr168.api.PortletRequestImpl
`getAttribute, getAttributeNames, getAttributes, getAuthType, getContextPath, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getPortalContext, getPortletMode, getPortletSession, getPortletSession, getPreferences, getProperties, getProperty, getPropertyNames, getRemoteUser, getRequestedSessionId, getResponseContentType, getResponseContentTypes, getScheme, getServerName, getServerPort, getUserPrincipal, getWindowState, isPortletModeAllowed, isRequestedSessionIdValid, isSecure, isUserInRole, isWindowStateAllowed, removeAttribute, setAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.portlet.PortletRequest
`getAttribute, getAttributeNames, getAuthType, getContextPath, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getPortalContext, getPortletMode, getPortletSession, getPortletSession, getPreferences, getProperties, getProperty, getPropertyNames, getRemoteUser, getRequestedSessionId, getResponseContentType, getResponseContentTypes, getScheme, getServerName, getServerPort, getUserPrincipal, getWindowState, isPortletModeAllowed, isRequestedSessionIdValid, isSecure, isUserInRole, isWindowStateAllowed, removeAttribute, setAttribute`

Constructor Detail

### JBossRenderRequest

    public JBossRenderRequest(RenderInvocation invocation)

Method Detail

### getControllerContext

    public ControllerContext getControllerContext()

### getPortalNode

    public PortalNode getPortalNode()

### getInformations

    public java.util.Map getInformations()

  Returns a modifiable map of user informations or null if the user is not authenticated.

### getUser

    public User getUser()

  Returns the current authenticated user or null if the user is not authenticated

### getParameters

    public Parameters getParameters()

### createPreferences

    protected PortletPreferences createPreferences()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD